Subject: bug#19902: 25.0.50; [PATCH] Make eww entry point more info-like

From: Ivan Shmakov <[email-masked]>
Date: Thu, 19 Feb 2015 15:35:24 +0000

>>>>> Mark Oteiza <[email-masked]> writes:

[…]

 > * net/eww.el (eww): Behave more like `info' entry point
 > (eww-fetch): Replaces prior eww function.
 > (eww-mode-map): More Info-like `M-n' for `clone-buffer'

	Looks good to me, although I tend to prefer non-numeric suffixes
	(like <w:en>, <w:eo>, <w:ru> for the Wikipedias, <gbts> for the
	GNU debbugs, etc.  FWIW, it makes it pretty easy to complete.)

[…]

 > +  (interactive
 > +   (let ((buf (get-buffer (if (numberp current-prefix-arg)
 > +                              (format "*eww*<%s>" current-prefix-arg)
 > +                            "*eww*"))))
 > +     (list (unless buf (read-string "Enter URL or keywords: "))
 > +           buf)))

	… Except for this part, which essentially reintroduces #19106;
	see [1].  I presume that for this reason, the new ‘eww’ command
	should call ‘eww-suggested-uris’ just like the old one does.

[1] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19106#msg8

[…]

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A